Author: barbier
Date: 2006-08-10 21:36:18 +0000 (Thu, 10 Aug 2006)
New Revision: 1714

Modified:
   glibc-package/trunk/debian/changelog
   glibc-package/trunk/debian/debhelper.in/locales-all.postinst
Log:
  * debian/debhelper.in/locales-all.postinst: Make localedef silent, and
    fix an error, this script could not be run more than once.


Modified: glibc-package/trunk/debian/changelog
===================================================================
--- glibc-package/trunk/debian/changelog        2006-08-10 21:27:35 UTC (rev 
1713)
+++ glibc-package/trunk/debian/changelog        2006-08-10 21:36:18 UTC (rev 
1714)
@@ -3,6 +3,8 @@
   [ Denis Barbier ]
   * New all/submitted-uninitialized-byte-LC_CTYPE.diff patch to fix an
     uninitialized byte in LC_CTYPE locale file.
+  * debian/debhelper.in/locales-all.postinst: Make localedef silent, and
+    fix an error, this script could not be run more than once.
 
   [ Aurelien Jarno ]
   * sysdeps/{powerpc,s390,ia64}.mk: make the NPTL version buildable on 2.4

Modified: glibc-package/trunk/debian/debhelper.in/locales-all.postinst
===================================================================
--- glibc-package/trunk/debian/debhelper.in/locales-all.postinst        
2006-08-10 21:27:35 UTC (rev 1713)
+++ glibc-package/trunk/debian/debhelper.in/locales-all.postinst        
2006-08-10 21:36:18 UTC (rev 1714)
@@ -4,9 +4,12 @@
 
 if [ "$1" = "configure" ]; then
        [ -d /usr/lib/locale ] || mkdir /usr/lib/locale
+       #  Remove existing locales, otherwise localedef does not
+       #  overwrite them and exits with a non-null value
+       rm -f /usr/lib/locale/locale-archive 2>/dev/null || true
        tmpdir=$(mktemp -d /tmp/locales.XXXXXXXXXX)
        tar zxf /usr/lib/locales-all/supported.tar.gz -C "$tmpdir"
-       localedef --add-to-archive "$tmpdir"/*
+       localedef --quiet --add-to-archive "$tmpdir"/*
        rm -rf "$tmpdir"
 fi
 


-- 
To UNSUBSCRIBE, email to [EMAIL PROTECTED]
with a subject of "unsubscribe". Trouble? Contact [EMAIL PROTECTED]

Reply via email to